Team Management
GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.workspaceId
string
erforderlich
results.name
string
erforderlich
results.description
string
erforderlich
results.visibility
string
erforderlich
results.accessibility
string
results.activeMemberCount
integer
erforderlich
results.pendingMemberCount
integer
erforderlich
results.featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.featuredMembers.id
string
erforderlich
results.featuredMembers.type
string
erforderlich
results.hideFromViews
boolean
erforderlich
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
visibility
string
erforderlich
accessibility
string
activeMemberCount
integer
erforderlich
pendingMemberCount
integer
erforderlich
featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
featuredMembers.id
string
erforderlich
featuredMembers.type
string
erforderlich
hideFromViews
boolean
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
Anfrage-Payload
name
string
erforderlich
description
string
hideFromViews
boolean
members
array of object
Untergeordnete Parameter anzeigen
members.id
string
erforderlich
members.type
string
erforderlich
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
visibility
string
erforderlich
accessibility
string
activeMemberCount
integer
erforderlich
pendingMemberCount
integer
erforderlich
featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
featuredMembers.id
string
erforderlich
featuredMembers.type
string
erforderlich
hideFromViews
boolean
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
Anfrage-Payload
name
string
description
string
hideFromViews
boolean
Antwort-Payload
id
string
erforderlich
workspaceId
string
erforderlich
name
string
erforderlich
description
string
erforderlich
visibility
string
erforderlich
accessibility
string
activeMemberCount
integer
erforderlich
pendingMemberCount
integer
erforderlich
featuredMembers
array of object
erforderlich
Untergeordnete Attribute anzeigen
featuredMembers.id
string
erforderlich
featuredMembers.type
string
erforderlich
hideFromViews
boolean
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
Antwort-Payload
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
results.teamId
string
erforderlich
results.type
string
erforderlich
results.status
string
erforderlich
results.createdAt
string
erforderlich
results.updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
Anfrage-Payload
id
string
erforderlich
type
string
erforderlich
Possible values: user
Antwort-Payload
id
string
erforderlich
teamId
string
erforderlich
type
string
erforderlich
status
string
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
Antwort-Payload
id
string
erforderlich
teamId
string
erforderlich
type
string
erforderlich
status
string
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'